be.fgov.ehealth.technicalconnector.signature.impl

## Class XmlSignatureBuilder

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.signature.impl.AbstractSignatureBuilder
  - - be.fgov.ehealth.technicalconnector.signature.impl.XmlSignatureBuilder

- All Implemented Interfaces:
    SignatureBuilder

      public class XmlSignatureBuilder
      extends AbstractSignatureBuilder
      implements SignatureBuilder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS_DS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlSignatureBuilder(AdvancedElectronicSignatureEnumeration aes, XadesSpecification... specs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdvancedElectronicSignatureEnumeration` | `getSupportedAES()`
    `byte[]` | `sign(Credential signatureCredential, byte[] byteArrayToSign)`
    `byte[]` | `sign(Credential signatureCredential, byte[] byteArrayToSign, Map<String,Object> options)`
    `SignatureVerificationResult` | `verify(byte[] signedByteArray, byte[] signature, Map<String,Object> options)`
    `SignatureVerificationResult` | `verify(byte[] signedByteArray, Map<String,Object> options)`
    `SignatureVerificationResult` | `verify(Document signedContent, Element sigElement, Map<String,Object> options)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS_DS

          public static final String XMLNS_DS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XmlSignatureBuilder

          public XmlSignatureBuilder(AdvancedElectronicSignatureEnumeration aes,
                                     XadesSpecification... specs)

  - ### Method Detail

    - #### sign

          public byte[] sign(Credential signatureCredential,
                             byte[] byteArrayToSign)
                      throws TechnicalConnectorException

      Specified by:
        `sign` in interface `SignatureBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### sign

          public byte[] sign(Credential signatureCredential,
                             byte[] byteArrayToSign,
                             Map<String,Object> options)
                      throws TechnicalConnectorException

      Specified by:
        `sign` in interface `SignatureBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### verify

          public SignatureVerificationResult verify(byte[] signedByteArray,
                                                    Map<String,Object> options)
                                             throws TechnicalConnectorException

      Specified by:
        `verify` in interface `SignatureBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### verify

          public SignatureVerificationResult verify(byte[] signedByteArray,
                                                    byte[] signature,
                                                    Map<String,Object> options)
                                             throws TechnicalConnectorException

      Specified by:
        `verify` in interface `SignatureBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### verify

          public SignatureVerificationResult verify(Document signedContent,
                                                    Element sigElement,
                                                    Map<String,Object> options)
                                             throws TechnicalConnectorException

      Specified by:
        `verify` in interface `SignatureBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### getSupportedAES

          public AdvancedElectronicSignatureEnumeration getSupportedAES()

      Specified by:
        `getSupportedAES` in interface `SignatureBuilder`
      Returns:

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.